Skip to main content
GET
/
workspace
/
{workspace_id}
/
mcp_server
/
{mcp_server_id}
Retrieve a specific MCP server by ID
curl --request GET \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/{mcp_server_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "created_at": "2023-04-19 21:01:32+0000",
  "updated_at": "2023-04-19 21:01:32+0000",
  "name": "MCP Server Test",
  "description": "My MCP Server description",
  "branch": "v1",
  "tag": [
    "example tag"
  ],
  "xanoscript": {
    "status": "ok",
    "value": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
mcp_server_id
integer<int64>
required

Query Parameters

include_xanoscript
boolean
default:false

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:MCP Server Test
description
string
default:My MCP Server description
branch
string
default:v1
tag
string[]
xanoscript
object